## org.apache.lucene.analysis.cn
Class ChineseFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.cn.ChineseFilter

All Implemented Interfaces:
  Closeable

Deprecated. Use `StopFilter` instead, which has the same functionality. This filter will be removed in Lucene 5.0

    @Deprecated
    public final class ChineseFilter

extends org.apache.lucene.analysis.TokenFilter

A `TokenFilter` with a stop word table.

- Numeric tokens are removed.
- English tokens must be larger than 1 character.
- One Chinese character as one Chinese word.

TO DO:

1. Add Chinese stop words, such as 
2. Dictionary based Chinese word extraction
3. Intelligent Chinese word extraction

Version:
  1.0

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary
`static String[]` `STOP_WORDS` Deprecated.

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`ChineseFilter(org.apache.lucene.analysis.TokenStream in)` Deprecated.

Method Summary
`boolean` `incrementToken()` Deprecated.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### STOP_WORDS

    public static final String[] STOP_WORDS

  Deprecated.

Constructor Detail

### ChineseFilter

    public ChineseFilter(org.apache.lucene.analysis.TokenStream in)

  Deprecated.

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Deprecated.
  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`